#!/bin/bash
#
#%stage: device
#

# This is basically copy of fcoe init script
if [ -d /etc/fcoe/ ] ; then
    for ifcfg_file in `ls /etc/fcoe/cfg-eth*`
    do
            ifname=`echo $ifcfg_file | sed 's@/etc/fcoe/cfg-@@'`
            . $ifcfg_file
            if [ "$FCOE_ENABLE" != "yes" -a "$FCOE_ENABLE" != "YES" ] ; then
                continue
            fi

            if [ "$DCB_REQUIRED" = "yes" -o "$DCB_REQUIRED" = "YES" ] ; then
                root_dcbd=1
            fi
    done
fi

save_var root_dcbd

if [ "${root_dcbd}" ]; then
    # copy the dcbd configuration
    cp -p /etc/dcbd.conf etc/
fi
